# DataExchange
TKIGES
IGESDefs

# IGESDefs_SpecificModule Class Reference

Defines Services attached to IGES Entities : Dump, for IGESDefs
.

`#include <IGESDefs_SpecificModule.hxx>`

Inheritance diagram for IGESDefs_SpecificModule:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDefs_SpecificModule ()
| Creates a SpecificModule from IGESDefs & puts it into SpecificLib .
Standard_EXPORT void | OwnDump (const Standard_Integer CN, const Handle(IGESData_IGESEntity)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Specific Dump (own parameters) for IGESDefs .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_SpecificModule::IGESDefs_SpecificModule | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESDefs_SpecificModule::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_SpecificModule.

Standard_EXPORT void IGESDefs_SpecificModule::OwnDump | ( | const Standard_Integer | CN,
|  | const Handle(IGESData_IGESEntity)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const`[virtual]`

| Implements IGESData_SpecificModule.

The documentation for this class was generated from the following file:

- IGESDefs_SpecificModule.hxx